Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/JobAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/JobAdapter.cs	(revision 2082)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/JobAdapter.cs	(revision 2083)
@@ -427,12 +427,7 @@
 
           job.JobInfo = GetById(jobId);
-          dsHiveServer.JobRow row
-            = GetRowById(jobId);
-
-          if (job.JobInfo != null && row != null &&
-            !row.IsSerializedJobNull()) {
-
+          if (job.JobInfo != null) {
             job.SerializedJob =
-              row.SerializedJob;
+              base.Adapter.GetSerializedJobById(jobId);
 
             return job;
@@ -457,11 +452,9 @@
             if (row != null) {
               Update(job.JobInfo);
-              row.SerializedJob =
-                job.SerializedJob;
-
-              base.Adapter.Update(row);
+              return base.Adapter.UpdateSerializedJob(
+                job.SerializedJob, job.JobInfo.Id);
             }
 
-            return true;
+            return false;
           });
       }
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/TableAdapterWrapper/JobAdapterWrapper.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/TableAdapterWrapper/JobAdapterWrapper.cs	(revision 2082)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/TableAdapterWrapper/JobAdapterWrapper.cs	(revision 2083)
@@ -39,4 +39,12 @@
     }
 
+    public byte[] GetSerializedJob(Guid jobId) {
+      return TransactionalAdapter.GetSerializedJobById(jobId);
+    }
+
+    public bool UpdateSerialiedJob(byte[] serializedJob, Guid jobId) {
+      return TransactionalAdapter.UpdateSerializedJob(serializedJob, jobId) > 0;
+    }
+
     protected override void SetConnection(DbConnection connection) {
       adapter.Connection = connection as SqlConnection;
